﻿// mp3_13.h
#ifndef MP3_13_H_
#define MP3_13_H_

#define		DIRLISTFILE				"dirlstwk.txt"		// linuxのfindコマンドでDIR構造を拾って書きだす

#define		MAX_DIRS				1000			// DIR総数
#define		DIRPATH_LEN				512				// DIRパスの最大長（バイト）
#define		MP3FILE_LEN				192				// MP3ファイルの最大ファイル名長(バイト)
#define		LCD_WIDTH				128				// LCDのドット幅
#define		LCD_PAGES				8				// LCDのページ数
#define		DL_DOTLINEHEIGHT		12
#define		HAN_WIDTH				6				// 半角文字のドット幅

// DIR構成ファイル　レコード長・項目別バイトサイズ
#define		DIRSTRUCTUREFILE13				"DIRLST13.DAT"		// DIR構成ファイル(Version=13)
#define		RECLEN_DIRLIST					768UL		// イメージ部分を除くレコード長
#define		RECLEN_DIRLIST_FULL				1280UL		// イメージ部分を含むレコード長(0x500)
#define 	DL_DISPLAYNAME_LEN				48			// 以下各項目のバイト数
#define 	DL_FULLDIR_LEN					(DIRPATH_LEN + 1)		// 513
#define 	DL_FULLDIR_OFFSET				48
#define 	DL_LENFULLDIR_LEN				2
#define 	DL_LENFULLDIR_OFFSET			561
#define 	DL_RECNO_SUBDIR_LEN				2
#define 	DL_RECNO_SUBDIR_OFFSET			563
#define 	DL_NUM_SUBDIR_LEN				1
#define 	DL_NUM_SUBDIR_OFFSET        	565
#define 	DL_RECNO_PARENTDIR_LEN			2
#define 	DL_RECNO_PARENTDIR_OFFSET		566
#define 	DL_RECNO_GRANDPARENTDIR_LEN		2
#define		DL_RECNO_GRANDPARENTDIR_OFFSET	568
#define 	DL_RECNO_NEXTRANDOMDIR_LEN		2
#define 	DL_RECNO_NEXTRANDOMDIR_OFFSET	570
#define 	DL_NUM_SNDFILE_LEN				1
#define 	DL_NUM_SNDFILE_OFFSET			572
#define 	DL_FILLER_13					195
#define		DL_LCDIMAGE						256

// 音源ファイルリスト
#define		SNDFILELISTFILE				"SNDLST13.DAT"		// 音源ファイルリスト(Version=13)
#define		RECLEN_MP3LIST				512UL	// イメージ部分を除くレコード長
#define		RECLEN_MP3LIST_FULL			1024UL	// イメージ部分を含むレコード長
#define 	ML_TITLENAME_LEN			128		// 以下各項目のバイト数
#define 	ML_FILENAME_LEN				(MP3FILE_LEN + 1)		// 193
#define 	ML_FILENAME_OFFSET			128
#define 	ML_FILLER_13				191
#define 	ML_LCDIMAGE					256

// インデックスファイル
#define 	INDEXFILE             	"INDEX13.DAT"
#define 	IL_WIDTH_SELINDEX_ITEM	12				// １項目あたりのドット幅
#define		SELINDEX_LINES			5
#define 	NUM_SELINDEX_ITEM		(SELINDEX_LINES * 10)		// インデックス選択画面で一度に表示されるインデックス数(横１０文字)
#define		INDEX_LEN				5
#define		MAX_INDEXES				255
#define 	IL_DLRECNO_LEN			2				// ディレクトリ構成ファイルレコード番号・バイト数
#define 	IL_DLRECCNO_OFFSET		573				// ディレクトリ構成ファイルレコード番号・オフセット
#define 	IL_FILLER_13			193

// メインメニュー
#define		MENUDAT13				"MNUDAT13.DAT"		// メニューデータファイル
#define		MAINMENU_ITEMS_LEN		2					// ファイルの先頭にメニュー項目数エリア
#define		MAINMENU_SELDIR			0
#define		MAINMENU_SELINDEX		1
#define 	MAINMENU_RANDOM			2
#define 	MAINMENU_POFF			3
#define		MAINMENU_DIRSTRUCT		4
#define		MAINMENU_MONOSTEREO		5

// 履歴ファイル
#define		HISTFILE				"HIST13.DAT"		// 履歴ファイル
#define 	RECLEN_HISTFILE       	10UL
#define 	HS_LASTDIR_LEN          2
#define 	HS_LASTDIR_OFFSET       0
#define 	HS_LASTTRACK_LEN        1
#define 	HS_LASTTRACK_OFFSET		2
#define 	HS_LASTTIME_LEN         4
#define 	HS_LASTTIME_OFFSET		3
#define 	HS_NEXTRANDOMDIR_LEN    2
#define 	HS_NEXTRANDOMDIR_OFFSET	7
#define 	HS_STEREOSTATUS_LEN    	1
#define 	HS_STEREOSTATUS_OFFSET	9

// ボリュームファイル
#define 	VOLUMEFILE              "VOLUME13.DAT"

// 数字イメージファイル
#define		DIGITIMAGEDAT			"DIGIT13.DAT"
#define		DIGITIMAGE_LEN			(2*HAN_WIDTH*12)		// 高さ2バイト、幅６ドット、12文字("0123456789: ")

#endif /* MP3_13_H_ */
